/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-07
 * 描述            ：供应商开户银行表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Supp.vo;
import java.io.Serializable;

import market.Pms.Supp.mapper.PurSuppBankMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_SUPP_BANK", namespace=PurSuppBankMapper.class)
public class PurSuppBank extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 3516157863780204744L;
	/** 
	 * 银行代码
	 */ 
	@Id
	private String bank_code;
	public String getBank_code() {
		return this.bank_code;
	}
	public void setBank_code(String bank_code) {
		this.bank_code = bank_code;
	}
	
	/** 
	 * 供应商代码
	 */ 
	@Column
	private String supp_code;
	public String getSupp_code() {
		return this.supp_code;
	}
	public void setSupp_code(String supp_code) {
		this.supp_code = supp_code;
	}

	/** 
	 * 供应商名称
	 */ 
	@Column
	private String supp_name;
	public String getSupp_name() {
		return this.supp_name;
	}
	public void setSupp_name(String supp_name) {
		this.supp_name = supp_name;
	}

	/** 
	 * 供应商中文简称
	 */ 
	@Column
	private String supp_short_name;
	public String getSupp_short_name() {
		return this.supp_short_name;
	}
	public void setSupp_short_name(String supp_short_name) {
		this.supp_short_name = supp_short_name;
	}

	/** 
	 * 银行名称
	 */ 
	@Column
	private String bank_name;
	public String getBank_name() {
		return this.bank_name;
	}
	public void setBank_name(String bank_name) {
		this.bank_name = bank_name;
	}

	/** 
	 * 银行帐号
	 */ 
	@Column
	private String bank_account;
	public String getBank_account() {
		return this.bank_account;
	}
	public void setBank_account(String bank_account) {
		this.bank_account = bank_account;
	}
	
	/** 
	 * 银行城市
	 */ 
	@Column
	private String bank_city;
	public String getBank_city() {
		return this.bank_city;
	}
	public void setBank_city(String bank_city) {
		this.bank_city = bank_city;
	}

	/** 
	 * 银行地区码
	 */ 
	@Column
	private String bank_area;
	public String getBank_area() {
		return this.bank_area;
	}
	public void setBank_area(String bank_area) {
		this.bank_area = bank_area;
	}


	/** 
	 * 付款方式编码
	 */ 
	@Column
	private String pay_type_code;
	public String getPay_type_code() {
		return this.pay_type_code;
	}
	public void setPay_type_code(String pay_type_code) {
		this.pay_type_code = pay_type_code;
	}

	/** 
	 * 付款方式名称
	 */ 
	@Column
	private String pay_type_name;
	public String getPay_type_name() {
		return this.pay_type_name;
	}
	public void setPay_type_name(String pay_type_name) {
		this.pay_type_name = pay_type_name;
	}

	/** 
	 * 是否有效
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

}
